Bug 1443989 - [RFE] Deprecate and remove spice-html5 support
Summary: [RFE] Deprecate and remove spice-html5 support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.2.0
: ---
Assignee: Tomas Jelinek
QA Contact: Vladimir
URL:
Whiteboard:
Depends On:
Blocks: 1560386
TreeView+ depends on / blocked
 
Reported: 2017-04-20 11:46 UTC by Michal Skrivanek
Modified: 2020-08-11 18:11 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Deprecated Functionality
Doc Text:
SPICE HTML5 support has been removed.
Clone Of:
Environment:
Last Closed: 2018-05-15 17:41:54 UTC
oVirt Team: Virt
Target Upstream Version:
mavital: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1496705 0 unspecified CLOSED Spice_HTML showing screen has upside down (Error:-FIXME: Implement non top down support for lz_rgb) 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:43:01 UTC
oVirt gerrit 79493 0 'None' MERGED webadmin: remove SPICE HTML5 support 2021-01-14 09:21:27 UTC

Internal Links: 1496705

Description Michal Skrivanek 2017-04-20 11:46:15 UTC
It's in tech-preview since 3.2 due to various bugs, missing features, lack of support. We should finally consider removing it since the original reason was to bring console support to users without native remote-viewer.
We now have other alternatives, SPICE+VNC graphics, alpha-quality support in remote-viewer, more stable web-based novnc.

Comment 10 Vladimir Rulev 2017-10-02 13:28:39 UTC
Hello everybody!

I don't think removing SPICE HTML5 support is good idea. It is the simpliest way to get SPICE console using only web browser. virt-viewer is another app which I need to have installed first. virt-viewer doesn't support web socket proxy. I am not shure "alpha-quality support" is better than SPICE HTML5. IMHO it will be better to give some support to SPICE HTML5 or at least keep it as is.

Comment 11 Michal Skrivanek 2017-10-19 09:21:49 UTC
(In reply to Vladimir Rulev from comment #10)
> Hello everybody!
> 
> I don't think removing SPICE HTML5 support is good idea. It is the simpliest
> way to get SPICE console using only web browser. virt-viewer is another app
> which I need to have installed first. virt-viewer doesn't support web socket
> proxy. I am not shure "alpha-quality support" is better than SPICE HTML5.
> IMHO it will be better to give some support to SPICE HTML5 or at least keep
> it as is.

it's just the integration bits which are being removed, you can still set up and run spice-html5 project from upstream independently, a custom integration for your specific case is likely scriptable. It's just that we're not interested in maintaining it globally for all the cases in oVirt, unfortunately that project is external to oVirt and we do not influence its development.

There are other alternatives too, not just to use virt-viewer directly. You can use SPICE+VNC display type and a custom vnc client, or novnc if you for whatever reason require a web socket proxy.
Or SPICE proxy + virt-viewer if you need a squid-based proxy.

Comment 12 Vladimir Rulev 2017-10-19 09:48:35 UTC
(In reply to Michal Skrivanek from comment #11)
> (In reply to Vladimir Rulev from comment #10)
> > Hello everybody!
> > 
> > I don't think removing SPICE HTML5 support is good idea. It is the simpliest
> > way to get SPICE console using only web browser. virt-viewer is another app
> > which I need to have installed first. virt-viewer doesn't support web socket
> > proxy. I am not shure "alpha-quality support" is better than SPICE HTML5.
> > IMHO it will be better to give some support to SPICE HTML5 or at least keep
> > it as is.
> 
> it's just the integration bits which are being removed, you can still set up
> and run spice-html5 project from upstream independently, a custom
> integration for your specific case is likely scriptable. It's just that
> we're not interested in maintaining it globally for all the cases in oVirt,
> unfortunately that project is external to oVirt and we do not influence its
> development.
> 
> There are other alternatives too, not just to use virt-viewer directly. You
> can use SPICE+VNC display type and a custom vnc client, or novnc if you for
> whatever reason require a web socket proxy.
> Or SPICE proxy + virt-viewer if you need a squid-based proxy.

Michal, I don't think it is my specific case. I suppose many oVirt users need it as well. Is it possible to discuss removal of SPICE HTML5 publicly? Can you make survey on ovirt.org home page? Because I have found this bug accidentally and I'm afraid most of users miss it and will face this change only after upgrade to 4.2.

About alternatives: AFAIK novnc is external project to oVirt as well, and it has it's own bugs. Do you plan to drop it next to SPICE HTML5?

Comment 14 Vladimir 2017-11-09 10:00:29 UTC
Hi, Michal

Can you tell what is the final result? Is spice-html5 is going be removed from oVirt?

Comment 15 Michal Skrivanek 2017-11-09 15:12:21 UTC
yes, the integration is removed already in 4.2
We do not plan to deprecate or remove novnc (though beware we didn't yet update the integration to work with latest available novnc version upstream - bug 1502652, bug 1475845)

Comment 16 Michal Skrivanek 2017-11-21 09:47:27 UTC
requires documentation

Comment 17 Red Hat Bugzilla Rules Engine 2017-11-21 09:47:36 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 18 Vladimir 2018-01-19 12:38:29 UTC
Verified on 
RHEVM version : 4.2.0.2-0.1.el7

Comment 21 errata-xmlrpc 2018-05-15 17:41:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 22 Greg Procunier 2018-06-01 02:36:38 UTC
This feature breaks the spice html5 console in other redhat products like Cloudforms and Satellite 6 which previously were able to connect to the remote console over html5?

Comment 23 Michal Skrivanek 2018-06-21 09:14:58 UTC
(In reply to Greg Procunier from comment #22)
> This feature breaks the spice html5 console in other redhat products like
> Cloudforms and Satellite 6 which previously were able to connect to the
> remote console over html5?

no. This is about the integrated spice-html5 inside RHV GUI only. See comment #11. Even the websocket proxy in the middle still says the same and is protocol agnostic, though IIRC CFME is not using that one either.

Though you need to really check/ask the respective products about the level of their support.

Comment 24 Franta Kust 2019-05-16 13:09:39 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.